package com.yidian.yac.userinfo.factory

import com.yidian.common.XRouterPathConstants
import com.yidian.common.base.BaseFragment
import com.yidian.common.services.FragmentFactory
import com.yidian.yac.userinfo.ui.UserInfoFragment

class UserInfoFragmentFactory : FragmentFactory() {

    override fun getFragment(path:String): BaseFragment? {

        if (path == XRouterPathConstants.USER_INFO){
            return UserInfoFragment.newInstance()
        }

        return null
    }
}